## org.eclipse.datatools.connectivity.sqm.core
Class SQMServices

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.SQMServices

    public class SQMServices

extends java.lang.Object

Public accessor of the SQL Query Model services.

Method Summary
`static ContainmentService` `getContainmentService()` Gets the system containment service.
`static DatabaseDefinitionRegistry` `getDatabaseDefinitionRegistry()` Gets the system registry for access to available `DatabaseDefinition`.
`static ProviderIDMappingRegistry` `getProviderIDMappingRegistry()` Gets the provider ID mapping registry service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDatabaseDefinitionRegistry

    public static DatabaseDefinitionRegistry getDatabaseDefinitionRegistry()

  Gets the system registry for access to available `DatabaseDefinition`.

  Returns:
    a `DatabaseDefinitionRegistry`

### getContainmentService

    public static ContainmentService getContainmentService()

  Gets the system containment service.

  Returns:
    a `ContainmentService`

### getProviderIDMappingRegistry

    public static ProviderIDMappingRegistry getProviderIDMappingRegistry()

  Gets the provider ID mapping registry service.

  Returns:
    a `ProviderIDMappingRegistry`